Bug 18760 - SMP kernel locks up when netscape window resized
SMP kernel locks up when netscape window resized
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
http://www.cs.albany.edu/~maniatty
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-09 20:49 EDT by Bill Maniatty
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 21:22:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Maniatty 2000-10-09 20:49:33 EDT
It seems that the SMP kernel installed on 7.0 locks up solid (even network
access
is off line) if the netscape window is resized.   Both myself,
    on an Abit BP6 with
   128 MB ECC RAM,
    IBM deskstar 20.5 GB disk (IDE) and
    matrox G400 video card,
   3com 10/100 NIC, with dual celeron 500's non-overclocked
and my colleague on a DELL server (all SCSI, I think 1 GB ram, 3com 10/100
NIC,
hot swappable 72 GB drive, and all kinds of power suplies and fans) had the
same behavior.

I happen to run kde, but root might fire up in gnome by default.  This is
very repeatable
for both of us.  Also the kernel hangs when unattended (automatic power
management
problem?).

Regards:

Bill Maniatty
Comment 1 stano 2001-01-06 06:20:05 EST
Abit BP6 is not the stablest mobo in the world - I happen
to own a good one, but there are reports of unstable ones,
they apparently had a problem with a capacitor on one serie
of boards. Also the APIC to processor connection is marginal,
generating ocassional checksum errors.

1) Try to eliminate some possible problem sources -
   if you are using AGP (is agpgart loaded?), DRI etc.,
   turn it off, set some very basic X configuration
   and try again. 

2) Check in BIOS, whether your voltages are stable.
   If the +-5V, 3V or processor ones (ca. 2V) jumps
   more than a few hundreths of Volt, you have a problem.

3) Try running the kernel with "noapic" parameter - this
   is known to help some people.

4) Alternatively try some of the 2.4.0-test kernel and
   search for lines such as
 Jan  4 16:08:52 trillian kernel: APIC error on CPU1: 00(04)
   in the /var/log/messages. A few a day are unfortunately
   normal for BP6, more is not OK.

FWIW: The netscape did not lock the kernel for me - Abit BP6,
128 MB non-ECC RAM, IDE IBM Deskstar 13.4 GB, 433 Celerons
overclocked to 506, Matrox G400, noname NE2000 card.
I used the 2.2.18 for a few days only, now I am running
2.4.0-test12 without problems.

Note You need to log in before you can comment on or make changes to this bug.